# Simulate Fund a Payment run

Simulate funding a payment run using a linked account.

This endpoint will only function in Sandbox and should not be used in the Live environment.

Endpoint: POST /simulate/v1/payment_runs/{payment_run_id}/fund_group/{reference}
Version: v1
Security: apiKey

## Path parameters:

  - `payment_run_id` (string, required)

  - `reference` (string, required)

## Response 400 fields (application/json):

  - `message` (string)
    When present helps to identify and fix the problem.

  - `syntaxErrors` (object)
    Is returned as part of an HTTP error response whenever a syntax error is detected. A list of the fields together with their syntax error will be provided.

  - `syntaxErrors.invalidFields` (array)

  - `syntaxErrors.invalidFields.params` (array)

  - `syntaxErrors.invalidFields.fieldName` (string)

  - `syntaxErrors.invalidFields.error` (string)
    Enum: "REQUIRED", "HAS_TEXT", "REQUIRES", "SIZE", "RANGE", "IN", "NOT_IN", "REGEX", "EXACTLY", "AT_LEAST", "AT_MOST", "ALL_OR_NONE"

## Response 403 fields (application/json):

  - `errorCode` (string)
    Enum: "INSUFFICIENT_PERMISSIONS"

## Response 404 fields (application/json):

  - `code` (string)

  - `message` (string)

## Response 409 fields (application/json):

  - `errorCode` (string)
    Enum: "BUYER_ID_INVALID", "UNSUPPORTED_CURRENCY"

## Response default fields (application/json):

  - `code` (string)

  - `message` (string)


## Response 201 fields

## Response 401 fields

## Response 500 fields

## Response 503 fields
